From 92f7115b61feba83f364b5f128a301f1e826eb62 Mon Sep 17 00:00:00 2001
From: Ryan Pavlik <rpavlik@iastate.edu>
Date: Fri, 4 Nov 2011 15:14:50 -0500
Subject: [PATCH 03/43] os/utils.c: sigaction is POSIX

MinGW doesn't have it, so this patch is needed for building.
---
 os/utils.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

diff --git a/os/utils.c b/os/utils.c
index d9aa65e..2b8c119 100644
--- a/os/utils.c
+++ b/os/utils.c
@@ -208,6 +208,9 @@ int auditTrailLevel = 1;
 OsSigHandlerPtr
 OsSignal(int sig, OsSigHandlerPtr handler)
 {
+#ifdef X_NOT_POSIX
+    return signal(sig, handler);
+#else
     struct sigaction act, oact;
 
     sigemptyset(&act.sa_mask);
@@ -218,6 +221,7 @@ OsSignal(int sig, OsSigHandlerPtr handler)
     if (sigaction(sig, &act, &oact))
       perror("sigaction");
     return oact.sa_handler;
+#endif
 }
 
 /*
-- 
1.7.7.1

